using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Infragistics.Windows;
using Infragistics.Windows.Editors;
using Infragistics.Windows.Editors.Events;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.DataPresenter.Events;
using System.Diagnostics;
using System.Data;
using System.ComponentModel;


namespace WPF___WindowsApplication2
{
	public partial class Window1 : System.Windows.Window
	{
        BindingList<MyList> data = new BindingList<MyList>();

		public Window1( )
		{
			InitializeComponent( );

            data.Add(new MyList() { FirstName = "Craig", LastName = "Brookings", LookupId = 2 });
            data.Add(new MyList() { FirstName = "Matt", LastName = "Jones", LookupId = 1 });
            data.Add(new MyList() { FirstName = "John", LastName = "Allen", LookupId = 2 });
            data.Add(new MyList() { FirstName = "Paul", LastName = "Smith", LookupId = 3 });
            data.Add(new MyList() { FirstName = "Carl", LastName = "Test", LookupId = 2 });
            data.Add(new MyList() { FirstName = "Sharon", LastName = "Johnson", LookupId = 3 });

            dp.DataSource = data;
		}

		private void dp_EditModeStarted( object sender, Infragistics.Windows.DataPresenter.Events.EditModeStartedEventArgs e )
		{
			if ( e.Cell.Record.IsAddRecord && e.Cell.Record.DataItem == null )
			{
				object oldVal = e.Editor.Value;
				e.Editor.Value = "";
				e.Editor.Value = oldVal;
			}
		}

	}
    public class MyList
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public int LookupId { get; set; }
        public MyList()
        {
            this.FirstName = "First Name";
            this.LastName = "Last Name";
            this.LookupId = 1;
        }
    }
}